Subject: [AVTCORE] [Technical Errata Reported] RFC6184 (4714)

From: RFC Errata System <[email-masked]>
Date: Fri, 17 Jun 2016 04:18:01 -0700 (PDT)

The following errata report has been submitted for RFC6184,
"RTP Payload Format for H.264 Video".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6184&eid=4714

--------------------------------------
Type: Technical
Reported by: Iñaki Baz Castillo <[email-masked]>

Section: 8.2.2

Original Text
-------------
To simplify the handling and matching of these configurations, the
same RTP payload type number used in the offer SHOULD also be used
in the answer, as specified in [8]

[8] points to RFC 3264 "An Offer/Answer Model with the Session
Description Protocol (SDP)"

Corrected Text
--------------

Notes
-----
The above statement is wrong. RFC 3264 does not mandate the same payload
type in both the offer and the answer. In fact, RFC 3264 section 5.1 states:

   For sendonly RTP streams, the payload type
   numbers indicate the value of the payload type field in RTP packets
   the offerer is planning to send for that codec.  For sendrecv RTP
   streams, the payload type numbers indicate the value of the payload
   type field the offerer expects to receive, and would prefer to send.
   
   However, for sendonly and sendrecv streams, the answer might indicate
   different payload type numbers for the same codecs, in which case,
   the offerer MUST send with the payload type numbers from the answer.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6184 (draft-ietf-avt-rtp-rfc3984bis-12)
--------------------------------------
Title               : RTP Payload Format for H.264 Video
Publication Date    : May 2011
Author(s)           : Y.-K. Wang, R. Even, T. Kristensen, R. Jesup
Category            : PROPOSED STANDARD
Source              : Audio/Video Transport
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG

---

From: "Mo Zanaty (mzanaty)" <[email-masked]>
Date: Sun, 19 Jun 2016 13:47:56 +0000

Matching H.264 payloads based on configuration parameters is often error prone and can lead to interop issues. Using the same payload type number in the answer for the same configuration offered does simplify things and avoids some interop issues. There are cases where this is not possible and asymmetric payload type numbers are necessary. So the original text with SHOULD strength seems appropriate.

Regards,
Mo

On Jun 18, 2016, at 11:33 PM, RFC Errata System <[email-masked]> wrote:

Section: 8.2.2

Original Text
-------------

Corrected Text
--------------

Notes
-----

Instructions:
-------------

_______________________________________________
Audio/Video Transport Core Maintenance
[email-masked]
https://www.ietf.org/mailman/listinfo/avt

---

From: Magnus Westerlund <[email-masked]>
Date: Mon, 20 Jun 2016 16:04:24 +0200

Hi,

This errata should be handled by the PAYLOAD WG. Please send any 
feedback to them rather than AVTCORE WG.

Cheers

Magnus

Den 2016-06-17 kl. 13:18, skrev RFC Errata System:
> Reported by: IÃ±aki Baz Castillo <[email-masked]>
>
> Section: 8.2.2
>
> Original Text
> -------------

-- 

Magnus Westerlund

----------------------------------------------------------------------
Services, Media and Network features, Ericsson Research EAB/TXM
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Färögatan 6                 | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------